Languages and Scripting
cancel
Showing results for 
Search instead for 
Did you mean: 

Conflicts with /usr/lib/pa20_64/libpthread.sl

 
Highlighted
Occasional Advisor

Conflicts with /usr/lib/pa20_64/libpthread.sl

We are running an app with Adabas calls from HP-UX 11.
Everthing works fine till I link the /usr/lib/pa20_64/libpthread.sl library..

We have to use this lib as we have to make Oracle calls from this app and the Oracle calls needs this lib.

Any pointers would help.

Thanks
7 REPLIES 7
Highlighted
Exalted Contributor

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl

I'm an adabas dba(Software AG).

I need more details to help you. First step, is your system fully patched, This issue is often caused by problems with patching and/or SHLIB_PATH variable.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Highlighted
Occasional Advisor

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl


Thanks Steve..

I am asking our admins to check if the system is fully patched..

What should be the accurate value of the SHLIB_PATH

Thanks
Highlighted
Occasional Advisor

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl

This is the patch level..

BUNDLE11i B.11.11.0306.1 Required Patch Bundle for HP-UX 11i, June 2003

FEATURE11-11 B.11.11.0209.5 Feature Enablement Patches for HP-UX 11i, Sept 2002

GOLDBASE11i B.11.11.0212.4 Gold Base Patches for HP-UX 11i, December 2002.

Would I need any additional patches..

Thanks..
Highlighted
Occasional Advisor

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl

We installed the Patch "PHCO_27434" since it was supposed to address the libpthread issues
as per the HP Site...

But we are still facing the same problems..
Any recommended values for the shared lib path.

Thanks

Highlighted
Trusted Contributor

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl

Are you sure you're not linking with this AND 32-bit version of pthread at the same time? It could be added to linking by default.

Good luck
Adam
I do everything perfectly, except from my mistakes
Highlighted
Occasional Visitor

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl

Hello, i've the same problem, i can't link with that library and run my program. ( And i have that patch


Architecture:

HP-UX asscc09s B.11.11 U 9000/800 688329302 licencia de usuarios ilimitados

Software:


java version "1.4.2.00"
Java(TM) 2 Runtime Environment, Standard Edition (build 1.4.2.00-031015-15:06)
Java HotSpot(TM) Server VM (build 1.4.2 1.4.2.00-031015-16:52-PA_RISC2.0 PA2.0,
mixed mode)

GOLDAPPS11i B.11.11.0406.5 Gold Applications Patches for HP-
UX 11i v1, June 2004
GOLDBASE11i B.11.11.0406.5 Gold Base Patches for HP-UX 11i v
1, June 2004

depot â T1456AAaddonâ : Libraries libjvm_v2.sl libfontmanager_v2.sl

Compiler:

aCC: HP ANSI C++ B3910B A.03.50



Compile/Link:

aCC -DHAVE_CONFIG_H -DNDEBUG -c -I. -I. -I../include -I../../confi
g/include -I/opt/java1.4/include/hp-ux -I/opt/java1.4/include -I../../dcmnet/inc
lude -I/SIHGA/var/clinica/actual/tmp/wldse/dcmtk/dcmwlm/apps/include/dcmnet -I..
/../dcmdata/include -I/SIHGA/var/clinica/actual/tmp/wldse/dcmtk/dcmwlm/apps/incl
ude/dcmdata -I../../ofstd/include -I/SIHGA/var/clinica/actual/tmp/wldse/dcmtk/dc
mwlm/apps/include/ofstd \
-O -AA +DA2.0W -DNATIVE -D_POSIX_C_SOURCE=199506L -D_POSIX_THRE
ADS wlmscp.cc

aCC -O -AA +DA2.0W -DNATIVE -D_POSIX_C_SOURCE=199506L -D_POSIX_THREADS
-z -L../libsrc -L../../dcmnet/libsrc -L../../dcmdata/libsrc -L../../ofstd/libsr
c -L/SIHGA/var/clinica/actual/tmp/wldse/dcmtk/dcmwlm/apps/lib -L/opt/java1.4/jre
/lib/PA_RISC2.0W/hotspot -L/opt/java1.4/jre/lib/PA_RISC2.0W -o wlmscp wlcefs.o
wlmscp.o -ldcmwlm -ldcmnet -ldcmdata -lofstd -lfontmanager_v2 -ljvm_v2 -lpthre
ad -lm -lnsl

Environment vars:

export SHLIB_PATH=$JAVA_HOME/jre/lib/PA_RISC2.0W/CXX:$JAVA_HOME/jre/lib/PA_RISC2
.0W:$JAVA_HOME/jre/lib/PA_RISC2.0W/hotspot



Result:

Application "HELLO WORLD" linked with librery PA_RISC2.0W - libpthread.sl returns:

wlmstart.sh[28]: 26328 Abort(coredump)

And if I remove it, it runs but i can't use JVM !!! ( Could not run VMThr
Highlighted

Re: Conflicts with /usr/lib/pa20_64/libpthread.sl

>Application "HELLO WORLD" linked with library PA_RISC2.0W - libpthread.sl returns:
wlmstart.sh[28]: 26328 Abort(coredump)

Can you get a stack trace?

I don't see you using -mt when you compile your application. This will cause many types of signal 6.